# 安装
  - cnpm install
  - 配置好java SKD 环境
  - 配置好Android 环境(adb命令正常)
# cap打包
  ## 一、打包web资源到www文件内
  - ionic build --project=live-app//默认打包 或者 ng build live-app --output-path=www/live-app
  ## 二、添加 Android 平台
  - npx cap sync android  添加 Android 平台（如果尚未添加）
    - 打开 Android 项目（可选）： npx cap open android
  - android\gradle\wrapper\gradle-wrapper.properties 中 gradle-wrapper.properties 中修改阿里镜像文件
    distributionUrl=https://mirrors.aliyun.com/macports/distfiles/gradle/gradle-8.2.1-all.zip
  ## 三、打包 Android 平台
   - npx cap build android 构建 Android 应用
   

# cordova打包（弃用）
  - ionic cordova build android --release


# 参考资料
  - 打包 
    - https://blog.csdn.net/weixin_46318413/article/details/126129576
    - https://blog.csdn.net/qq_18948359/article/details/139874286
    - https://www.jianshu.com/p/be517d9a0567

# Question：
  - 签名密钥问题
    - 如果你决定创建一个新的 keystore 文件，并使用简单的密钥别名，可以运行以下命令：
      keytool -genkey -v -keystore heychat.keystore -alias heychat -keyalg RSA -keysize 2048 -validity 10000
    - 查看签名配置信息：keytool -list -v -keystore D:\Desktop\works\nova-live\android\heychat.keystore -storepass 12345678
  - angular cli创建的项目不支持ionic命令问题
    - ionic init 生成ionic.config.json
